package com.ejie.ad74a.model.comun;

public class Tramo implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	// Clave compuesta
	private Long codTramo;
	private String codPostal;
	private Calle calle;
	private Localidad localidad;

	private String busquedaDescripcion; // Para autocomplete calle en
										// solicituddatos

	/**
	 * Method 'Tramo'.
	 */
	public Tramo() {
	}

	/**
	 * Method 'Tramo'.
	 * 
	 * @param codTramo  Long
	 * @param codPostal String
	 * @param calle     Calle
	 * @param localidad Localidad
	 */
	public Tramo(Long codTramo, String codPostal, Calle calle, Localidad localidad) {
		this.codTramo = codTramo;
		this.codPostal = codPostal;
		this.calle = calle;
		this.localidad = localidad;
	}

	public Long getCodTramo() {
		return codTramo;
	}

	public void setCodTramo(Long codTramo) {
		this.codTramo = codTramo;
	}

	public String getCodPostal() {
		return codPostal;
	}

	public void setCodPostal(String codPostal) {
		this.codPostal = codPostal;
	}

	public Calle getCalle() {
		return calle;
	}

	public void setCalle(Calle calle) {
		this.calle = calle;
	}

	public Localidad getLocalidad() {
		return localidad;
	}

	public void setLocalidad(Localidad localidad) {
		this.localidad = localidad;
	}

	public String getBusquedaDescripcion() {
		return busquedaDescripcion;
	}

	public void setBusquedaDescripcion(String busquedaDescripcion) {
		this.busquedaDescripcion = busquedaDescripcion;
	}
}
